Skip to content
Today's matches

Today's matches

Returns future match summaries for today in Europe/Paris, filtered to selected competitions.

Request

GET /v1/matches/today

PlanAuthenticationCacheUnitsRows
StarterX-API-KeyPrivate, 60 seconds; ETag and If-None-Match supported.1Number of match summaries returned

Parameters

No endpoint-specific parameters.

Example

curl -sS https://api.foresportia.com/v1/matches/today \
  -H "X-API-Key: $FORESPORTIA_API_KEY"

Response

{
  "date": "2026-10-17",
  "timezone": "Europe/Paris",
  "source": "Foresportia",
  "data_version": "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee",
  "matches": [
    {
      "id": "fsm:v1:a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1a1",
      "kickoff": "2026-10-17T16:00:00Z",
      "kickoff_local": "2026-10-17T18:00:00+02:00",
      "league": {
        "code": "FIN",
        "name": "Veikkausliiga",
        "country": "Finland"
      },
      "home_team": "Riverton FC",
      "away_team": "Northbridge United",
      "probabilities": {
        "home": 0.58,
        "draw": 0.25,
        "away": 0.17
      },
      "confidence": {
        "score": 0.72
      },
      "likely_scores": [
        {
          "score": "2-0",
          "probability": 0.13
        },
        {
          "score": "1-0",
          "probability": 0.12
        }
      ],
      "markets": {
        "btts": 0.49,
        "over_2_5": 0.56,
        "under_2_5": 0.44,
        "dnb_home": 0.773333,
        "dnb_away": 0.226667,
        "double_chance_1x": 0.83,
        "double_chance_x2": 0.42,
        "double_chance_12": 0.75
      },
      "context": {
        "friendly": false,
        "knockout": false,
        "group_stage": false,
        "first_leg": false,
        "second_leg": false,
        "final": false,
        "neutral_venue": false,
        "stage": "Regular season"
      },
      "status": "scheduled",
      "pick": {
        "outcome": "home",
        "probability": 0.58
      }
    },
    {
      "id": "fsm:v1:b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2b2",
      "kickoff": "2026-10-17T18:30:00Z",
      "kickoff_local": "2026-10-17T20:30:00+02:00",
      "league": {
        "code": "FIN",
        "name": "Veikkausliiga",
        "country": "Finland"
      },
      "home_team": "Harbor Athletic",
      "away_team": "Oakfield City",
      "probabilities": {
        "home": 0.31,
        "draw": 0.29,
        "away": 0.4
      },
      "confidence": {
        "score": 0.62
      },
      "likely_scores": [
        {
          "score": "1-2",
          "probability": 0.11
        },
        {
          "score": "1-1",
          "probability": 0.1
        }
      ],
      "markets": {
        "btts": 0.57,
        "over_2_5": 0.51,
        "under_2_5": 0.49,
        "dnb_home": 0.43662,
        "dnb_away": 0.56338,
        "double_chance_1x": 0.6,
        "double_chance_x2": 0.69,
        "double_chance_12": 0.71
      },
      "context": {
        "friendly": false,
        "knockout": false,
        "group_stage": false,
        "first_leg": false,
        "second_leg": false,
        "final": false,
        "neutral_venue": false,
        "stage": "Regular season"
      },
      "status": "scheduled",
      "pick": {
        "outcome": "away",
        "probability": 0.4
      }
    }
  ]
}

Empty response

{
  "date": "2026-10-17",
  "timezone": "Europe/Paris",
  "source": "Foresportia",
  "data_version": "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee",
  "matches": []
}

Errors and limits

  • 401 missing or invalid API key
  • 403 invalid plan contract
  • 429 quota or concurrency limit
  • 503 Starter store unavailable

See Errors for the full list, and Quotas for the limits that apply to every route.